Show installed and available versions of updates right there on the page
ClosedPublic

Authored by ngraham on Dec 28 2018, 8:16 PM.

Details

Summary

Show the installed and available versions of each app and package update on the delegate rather than hidden away.

Depends on D17922

Test Plan

This will look nicer on distros that aren't Neon dev, where update strings are shorter and more user-readable. :)

Diff Detail

Repository
R134 Discover Software Store
Branch
show-versions-more-clearly-on-updates-page (branched from master)
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6427
Build 6445: arc lint + arc unit
ngraham created this revision.Dec 28 2018, 8:16 PM
Restricted Application added a project: Plasma. · View Herald TranscriptDec 28 2018, 8:16 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
ngraham requested review of this revision.Dec 28 2018, 8:16 PM
ngraham edited the summary of this revision. (Show Details)Dec 28 2018, 8:17 PM
ngraham edited the test plan for this revision. (Show Details)
ngraham updated this revision to Diff 48356.Dec 29 2018, 3:34 PM

Put both versions on the same line so it doesn't take up so much vertical space

ngraham edited the test plan for this revision. (Show Details)Dec 29 2018, 3:35 PM
apol added a comment.Dec 30 2018, 3:49 AM

Looks good to me. Is it still RFC or you think it's good to go?

I wonder if we can try to be a bit smart by only showing the postfix that changes on the "% -> %" bit, maybe it's not a great idea.

I blame the clutter of the screenshot on Neon for now. :P

Still RFC because the Available Version information isn't getting correctly set for PackageKit package updates:

It works fine for others though. I tried to fix it in this patch, but it didn't work. :( Help would be appreciated.

ngraham retitled this revision from [RFC] Show installed and available versions of updates right there on the page to Show installed and available versions of updates right there on the page.Jan 2 2019, 7:20 PM
ngraham edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jan 5 2019, 5:12 AM
This revision was automatically updated to reflect the committed changes.